From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-accessibility/caribou/
Date: Thu, 15 Feb 2024 13:29:58 +0000 (UTC) [thread overview]
Message-ID: <1708003788.2d7e09cdad4539da8ce2368e86bc8985e840c99f.juippis@gentoo> (raw)
commit: 2d7e09cdad4539da8ce2368e86bc8985e840c99f
Author: Matthew S. Turnbull <sparky <AT> bluefang-logic <DOT> com>
AuthorDate: Mon Jan 15 04:41:10 2024 +0000
Commit: Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Feb 15 13:29:48 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2d7e09cd
app-accessibility/caribou: remove unused pyatspi dep
Closes: https://bugs.gentoo.org/921522
Signed-off-by: Matthew S. Turnbull <sparky <AT> bluefang-logic.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>
app-accessibility/caribou/caribou-0.4.21-r7.ebuild | 94 ++++++++++++++++++++++
1 file changed, 94 insertions(+)
diff --git a/app-accessibility/caribou/caribou-0.4.21-r7.ebuild b/app-accessibility/caribou/caribou-0.4.21-r7.ebuild
new file mode 100644
index 000000000000..2154750619c3
--- /dev/null
+++ b/app-accessibility/caribou/caribou-0.4.21-r7.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{9..11} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit autotools gnome.org gnome2-utils python-single-r1 vala
+
+DESCRIPTION="Input assistive technology intended for switch and pointer users"
+HOMEPAGE="https://wiki.gnome.org/Projects/Caribou"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+COMMON_DEPEND="
+ ${PYTHON_DEPS}
+ app-accessibility/at-spi2-core
+ $(python_gen_cond_dep '
+ >=dev-python/pygobject-2.90.3:3[${PYTHON_USEDEP}]
+ ')
+ >=dev-libs/gobject-introspection-0.10.7:=
+ dev-libs/libgee:0.8
+ dev-libs/libxml2
+ >=media-libs/clutter-1.5.11:1.0[introspection]
+ >=x11-libs/gtk+-3:3[introspection]
+ x11-libs/libX11
+ x11-libs/libxklavier
+ x11-libs/libXtst
+"
+# gsettings-desktop-schemas is needed for the 'toolkit-accessibility' key
+# librsvg needed to load svg images in css styles
+RDEPEND="
+ ${COMMON_DEPEND}
+ dev-libs/glib[dbus]
+ >=gnome-base/gsettings-desktop-schemas-3
+ gnome-base/librsvg:2
+ sys-apps/dbus
+ !<x11-base/xorg-server-1.20.10
+"
+DEPEND="
+ ${COMMON_DEPEND}
+ dev-libs/libxslt
+"
+BDEPEND="
+ $(vala_depend)
+ >=dev-util/intltool-0.35.5
+ virtual/pkgconfig
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-fix-compilation-error.patch"
+ "${FILESDIR}/${PN}-fix-subkey-popmenu.patch"
+ "${FILESDIR}/${PN}-fix-xadapter-xkb-calls.patch"
+ "${FILESDIR}/${PN}-fix-antler-style-css.patch"
+ "${FILESDIR}/${PN}-fix-python-env.patch"
+ "${FILESDIR}/${PN}-change_autostart_cinnamon.patch"
+ "${FILESDIR}/${PN}-drop_gir_patch.patch"
+)
+
+src_prepare() {
+ default
+ vala_src_prepare
+ gnome2_disable_deprecation_warning
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --disable-maintainer-mode \
+ --disable-schemas-compile \
+ --disable-docs \
+ --disable-static \
+ --disable-gtk2-module \
+ --enable-gtk3-module
+}
+
+src_install() {
+ DOCS="AUTHORS NEWS README"
+ default
+ find "${D}" -name '*.la' -delete || die
+ python_optimize
+}
+
+pkg_postinst() {
+ gnome2_schemas_update
+}
+
+pkg_postrm() {
+ gnome2_schemas_update
+}
next reply other threads:[~2024-02-15 13:30 UTC|newest]
Thread overview: 39+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-02-15 13:29 Joonas Niilola [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-10 2:25 [gentoo-commits] repo/gentoo:master commit in: app-accessibility/caribou/ Sam James
2024-09-27 5:57 Eli Schwartz
2024-05-29 6:10 Joonas Niilola
2024-05-28 18:20 Arthur Zamarin
2024-05-09 9:17 Pacho Ramos
2023-09-26 15:59 WANG Xuerui
2023-05-07 22:14 Sam James
2023-05-04 6:31 Jakov Smolić
2023-05-04 4:38 Arthur Zamarin
2023-05-03 9:07 Sam James
2022-12-24 7:11 Sam James
2022-07-01 7:08 Joonas Niilola
2022-07-01 7:08 Joonas Niilola
2022-07-01 7:08 Joonas Niilola
2022-06-20 2:53 Sam James
2021-12-24 20:00 Jakov Smolić
2021-12-24 19:25 Jakov Smolić
2021-05-31 15:27 Georgy Yakovlev
2021-05-16 19:11 Andreas Sturmlechner
2021-05-16 18:53 Sam James
2021-05-16 0:13 Sam James
2021-02-02 13:08 Joonas Niilola
2021-02-01 4:42 Sam James
2021-01-25 14:04 Sam James
2021-01-24 17:31 Joonas Niilola
2020-12-16 22:30 Sam James
2020-12-04 14:59 Aaron Bauman
2020-05-29 0:11 Matt Turner
2020-02-05 19:12 Michał Górny
2017-08-27 21:26 Mart Raudsepp
2017-08-27 21:26 Mart Raudsepp
2017-04-19 8:03 David Seifert
2016-07-30 10:50 Pacho Ramos
2016-07-30 10:50 Pacho Ramos
2016-03-06 20:52 Mikle Kolyada
2016-02-21 23:44 Pacho Ramos
2015-10-17 10:53 Pacho Ramos
2015-10-17 10:53 Pacho Ramos
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1708003788.2d7e09cdad4539da8ce2368e86bc8985e840c99f.juippis@gentoo \
--to=juippis@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox